Batch create new Futures order

A maximum of 20 orders at a time, must be same symbol

Weight: 1

Request Parameters


PARAMETERTYPEReq'dExample valuesDESCRIPTION
ordersLISTYRequestBody parameters
recWindowLONG5000
timestampLONGY1714311403031Timestamp

The batchOrders in RequestBody should fill in the order parameters in list of JSON format


PARAMETERTYPEReq'dExample valuesDESCRIPTION
symbolSTRINGYName of contract
sideENUMYSide:
BUY_OPEN
SELL_OPEN
BUY_CLOSE
SELL_CLOSE
typeENUMYType: LIMIT
quantityLONGYThe number of contracts to buy, e.g. non integers will still treat as 1
priceDECIMALRequired for (LIMIT & INPUT) ordersPrice required for LIMIT & INPUT orders
priceTypeYPrice type INPUT and MARKET
timeInForceThe time command (Time in Force) of LIMIT order, the currently supported types are GTC, FOK, IOC, LIMIT_MAKER
clientOrderIdYThe ID of the order, defined by the user (up to 255 characters)
stpModeENUMCEXPIRE_TAKERSelf Trade Prevention Mode.
Enum: EXPIRE_TAKER, EXPIRE_MAKER
Default EXPIRE_TAKER if not specified.

Notes:

  • For market order, you need to set type to LIMIT and set priceType to MARKET. You can obtain the contract price and quantity precision configuration information at the brokerInfo endpoint.
  • If your balance does not meet the margin requirements (initial margin + opening fee + closing fee), there will be an insufficient balance (insufficient balance) error return.

Response

NameTypeExampleDescription
codeSTRING0000Return code of request
resultLISTCreate order result list
Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!